/**
 * This class is used as an indicator that a <code>sense_body</code> message was
 * was received. This type of message is needed to synchronize the actions of the
 * <code>Player</code> with the action cylces of the server. The <code>see</code>
 * messages arrive in intervals of 150ms, while the action cycle whithin one
 * command can be sent is 100ms. Only <code>sense_body</code> messages arrive within
 * this cycle time.
 *
 * @author <a href="mailto:kuehne@pi4.informatik.uni-mannheim.de">Gerald Kuehne</a>
 * @author <a href="mailto:beier@pi4.informatik.uni-mannheim.de">Markus Beier</a>
 * @version 1.1
 */
public class BodyEvent extends Event
{

    /**
     * indicates that the event is of type <code>BodyEvent</code>
     *
     * @return a <code>boolean</code> value indicating that this event is a
     * <code>BodyEvent</code>
     */
    public boolean isBodyEvent() {return true;}
}
