/**
 * The class <code>Event</code> is the superclass of all events to be represented
 * during the game.
 *
 * @author <a href="mailto:kuehne@pi4.informatik.uni-mannheim.de">Gerald Kuehne</a>
 * @author <a href="mailto:beier@pi4.informatik.uni-mannheim.de">Markus Beier</a>
 * @version 1.1
 */
public abstract class Event
{
    /**
     * indicates that the event type
     *
     * @return a <code>boolean</code> value indicating that this event is not a
     * <code>BodyEvent</code>
     */
    public boolean isBodyEvent() {return false;}

    /**
     * indicates that the event type
     *
     * @return a <code>boolean</code> value indicating that this event is not a
     * <code>VisualEvent</code>
     */
    public boolean isVisualEvent() {return false;}
}
